import { Tag } from 'antd';
import { MyProEnumItemProps } from '../typings';

export default function MyTag({
  enums,
  value,
}: {
  enums: MyProEnumItemProps;
  value: string;
}) {
  const item = enums[value] ?? undefined;
  if (!item) return <>-</>;
  console.log('item', value, item);
  return <Tag color={item.color}>{item.text}</Tag>;
  // return <Tag color={item.color}>{item.text}</Tag>;
}
